<?php

require_once '../app/model/db.class.php';



if ($_POST['accion']=='info_comp_codigo'){

    $obj = new database();
    $obj->conectar(); $obj->consulta("set names 'utf8'");

    $codigo=$_POST['codigo'];

    $resultado=$obj->consulta("select * from matriculas where codigo='".$codigo."' and estado='A';");
    $row=$obj->fetch_assoc($resultado);

    $nombres=$obj->consulta("select cursos.grado, cursos.codigo, grados.descripcion as nom_grado, cursos.descripcion as nom_curso, cursos.jornada, jornadas.descripcion as
                               nom_jornada, cursos.sede, sedes.descripcion as nom_sede from sedes inner join (jornadas inner join (grados inner join cursos on
                               grados.codigo = cursos.grado) on jornadas.codigo = cursos.jornada) on sedes.codigo = cursos.sede where cursos.grado='".$row['grado']."' and cursos.codigo='".$row['curso']."'");
    $row1=$obj->fetch_assoc($nombres);

    
    $textoXML="";

    if($obj->numero_de_filas($resultado)<>0){


     $infoper=$obj->consulta("select * from alumnos where codigo='".$codigo."'");
     $datos=$obj->fetch_assoc($infoper);

     $textoXML.=$datos['p_apellido']." ".$datos['s_apellido']." ".$datos['p_nombre']." ".$datos['s_nombre'];
    
     $textoXML.="+".$row['grado'];
     $textoXML.="+".($row1['nom_grado']);

     $textoXML.="+".$row['curso'];
     $textoXML.="+".($row1['nom_curso']);

     $textoXML.="+".$row1['jornada'];
     $textoXML.="+".($row1['nom_jornada']);

     $textoXML.="+".$row1['sede'];
     $textoXML.="+".($row1['nom_sede']);

    }else{
     $textoXML="no";
    }

    echo $textoXML;

    $obj->disconnect();
}


if ($_POST['accion']=='generar_leyenda'){

    $cod=$_POST["cod"];
    $descod=$_POST["descod"];
    $grad=$_POST["grad"];
    $desgras=$_POST["desgras"];
    $cur=$_POST["cur"];
    $descur=$_POST["descur"];
    $jor=$_POST["jor"];
    $desjor=$_POST["desjor"];
    $sede=$_POST["sede"];
    $dessede=$_POST["dessede"];

    $obj = new database();
    $obj->conectar(); $obj->consulta("set names 'utf8'");
    

    $query=$obj->consulta("select * from alumnos where codigo='".$cod."'");


    if($obj->numero_de_filas($query) > 0) // existe -> datos correctos
    {
         $data= $obj->fetch_assoc($query);
    }

//         -----------------------------

    $query=$obj->consulta("select * from matriculas where codigo='".$cod."';");


    if($obj->numero_de_filas($query) > 0) // existe -> datos correctos
    {
         $matricula= $obj->fetch_assoc($query);
    }

//    -----------------------------
    $infogrado=$obj->consulta("select * from grados where codigo='".$grad."';");

    if($obj->numero_de_filas($infogrado) > 0) // existe -> datos correctos
    {
      $grado = $obj->fetch_assoc($infogrado);
    }


//    --------------------------------
     $infocur=$obj->consulta("select * from cursos where grado='".$grad."' and codigo='".$cur."';");

    if($obj->numero_de_filas($infocur) > 0) // existe -> datos correctos
    {
      $curso = $obj->fetch_assoc($infocur);
    }

    $infjor=$obj->consulta("select * from jornadas where codigo='".$curso['jornada']."';");

    if($obj->numero_de_filas($infjor) > 0) // existe -> datos correctos
    {
      $jornada = $obj->fetch_assoc($infjor);
    }

    $brleyen=$obj->consulta('truncate table constancia');


    $leyen="Que: ".($descod);


    if($data['sexo']=='F'){
        $leyen.=" identificada con  ";
    }else{
        $leyen.=" identificado con  ";
    }

    if($data['tipodoc']=='1'){
        $leyen.="C&eacute;dula De Ciudadan&iacute;a No.";
    }

    if($data['tipodoc']=='2'){
        $leyen.="Tarjeta de Identidad No.";
    }

    if($data['tipodoc']=='3'){
        $leyen.="C&eacute;dula de Extranger&iacute;a No.";
    }

     if($data['tipodoc']=='5'){
        $leyen.="Registro Civil de Nacimiento No.";
     }

    if($data['tipodoc']=='6'){
        $leyen.="No. de Identificaci&oacute;n Personal(NIP) No.";
    }

     if($data['tipodoc']=='7'){
        $leyen.="No. &uacute;nico de Identificaci&oacute;n Personal(NUIP) No.";
    }



    $leyen.=' '.$data['nodoc'];

    $leyen.=" de ".($data['mcpioexped'])." - ".($data['dptoexped']).",";
    $leyen.=" curs&oacute; y";

    if($matricula['promovido']=='SI'){
        $leyen.=" aprob&oacute;";
    }else{
        $leyen.=" reprob&oacute;";
    }


    //    --------------------------------
     $param=$obj->consulta("select * from parametros");
     $ano = $obj->fetch_assoc($param);

    if ($grado['nivel']!='')
        $nivel=$grado['nivel'];
    else
        $nivel=" XXXXXXX ";

     
    $leyen.=" en esta Instituci&oacute;n Educativa el grado ".($grado['descripcion'])." de ".($nivel);
    $leyen.=" en el a&ntilde;o ".$ano['anolectivo'].", con las siguientes valoraciones:";

    echo $leyen;

    $obj->disconnect();


}


if ($_REQUEST['accion']=='guardar_constancia'){

    $numero=$_REQUEST['numero'];
    $folio=$_REQUEST['folio'];
    $leyen=$_REQUEST['leyenda'];

    echo 'destino: '.$destino.'     leyenda: '.$leyen;


    
    $obj = new database();
    $obj->conectar(); $obj->consulta("set names 'utf8'");

    $resultado=$obj->consulta("insert into constancia (leyenda,destino) values('".($leyen)."','');");
    $resultado=$obj->consulta("update parametros set no_certificado='".$numero."' , no_folio='".$folio."';");

    $obj->disconnect();
}


if($_POST['accion']=='numero'){
    $obj = new database();
    $obj->conectar(); $obj->consulta("set names 'utf8'");
    $resultado=$obj->consulta("select * from parametros;");
    $row=$obj->fetch_assoc($resultado);
    $cad=$row['no_certificado'].';'.$row['no_folio'];
    echo $cad;
    $obj->disconnect();
}

?>